package com.jeeplus.test.signature.domain;

import java.util.Date;

/**
 * 员工印章表
 * @author: 徐滕
 * @create: 2021-11-05 09:18
 **/
public class SealUserInfo {
    private String id;  //印章ID
    private String owner;   //公司ID
    private String name;    //印章名称
    private String otherName;   //印章别名
    //private SealType type;    //签章类型
    //private SealSpec spec;    //印章规格
    private String sealKey; //印章图片key
    private Date createTime; //创建时间
    //private SealStatus status; //印章状态
    private String useCount; //印章使用的次数
    private String category; //印章类型：物理章，电子章
    private String sealCategoryName; //印章分类名称

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOtherName() {
        return otherName;
    }

    public void setOtherName(String otherName) {
        this.otherName = otherName;
    }

    public String getSealKey() {
        return sealKey;
    }

    public void setSealKey(String sealKey) {
        this.sealKey = sealKey;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUseCount() {
        return useCount;
    }

    public void setUseCount(String useCount) {
        this.useCount = useCount;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getSealCategoryName() {
        return sealCategoryName;
    }

    public void setSealCategoryName(String sealCategoryName) {
        this.sealCategoryName = sealCategoryName;
    }
}
